import React from 'react'

import GlobalLoadingProvider from 'hocs/GlobalLoading'
import ReduxProvider from 'hocs/ReduxProvider'
import RouterProvider from 'hocs/RouterProvider'
import { Routes } from 'routes'

const App: React.FC = () => (
  <ReduxProvider>
    <GlobalLoadingProvider>
      <RouterProvider>
        <Routes />
      </RouterProvider>
    </GlobalLoadingProvider>
  </ReduxProvider>
)

export default React.memo(App)
