import { useMemo } from 'react'

import { CurrentUser } from 'features/authentication/types'

import { ROLE_PERMISSION } from '../constants/rolePermission'

const useAccess = () => {
  // State quyền truy cập từ accessList

  // fix me ===> sửa thành object lấy từ store
  const currentUser: CurrentUser = {
    roles: ['admin'],
    permissions: ['export'],
  }

  const accessObj = useMemo(() => {
    const isAuthen = !!currentUser
    const isAdmin = !!currentUser && currentUser.roles?.includes(ROLE_PERMISSION.ADMIN)
    const isGuest = !!currentUser && currentUser.roles?.includes(ROLE_PERMISSION.GUEST)
    const canExportExcel =
      !!currentUser && currentUser.permissions?.includes(ROLE_PERMISSION.EXPORT_EXCEL)
    return {
      isAuthen,
      isAdmin,
      canExportExcel,
      isGuest,
    }
  }, [currentUser])

  return accessObj
}

export default useAccess
