import { lazy } from 'react'

import { ROLE_PERMISSION } from 'features/authentication/constants/rolePermission'
import { CustomRouteObject } from 'types'

const DemoPage1 = lazy(() => import('../features/DemoPage1'))
const DemoPage2 = lazy(() => import('../features/DemoPage2'))

const routers: CustomRouteObject[] = [
  {
    path: 'demo1',
    element: <DemoPage1 />,
    access: [],
    children: [
      {
        path: ':id',
        element: <DemoPage2 />,
        access: [ROLE_PERMISSION.ADMIN],
      },
    ],
  },
  {
    path: 'demo2',
    element: <DemoPage2 />,
    access: [ROLE_PERMISSION.EXPORT_EXCEL],
  },
]

export default routers
