import React from 'react'

import Loading from 'components/Loading'
import { useAppSelector } from 'stores'

const GlobalLoading: React.FC<React.PropsWithChildren> = ({ children }) => {
  const { loadingCount } = useAppSelector((state) => state.loading)

  return (
    <>
      {loadingCount !== 0 && <Loading />}
      {children}
    </>
  )
}

export default React.memo(GlobalLoading)
