import { memo, ReactNode } from 'react'

import { ERROR_MESSAGES } from 'constants/errorMessages'

import { notification } from 'antd-msb'
import { CurrentUser } from 'features/authentication/types'
import { Navigate } from 'react-router-dom'
import { RolePermissionType } from 'types'

export interface ProtectedRouteProps {
  children: ReactNode
  redirectPath?: string
  access?: RolePermissionType[]
}

const ProtectedRoute = ({ access, redirectPath, children }: ProtectedRouteProps) => {
  // fix me
  const currentUser: CurrentUser = {
    roles: ['admin'],
    permissions: ['export'],
  }

  let allow = false
  if (access && access.length > 0) {
    // nếu tồn tại 1 Role không thỏa mãn => set allow = false
    const result = access.find(
      (item) => !(currentUser.roles?.includes(item) || currentUser.permissions?.includes(item))
    )
    result ? (allow = false) : (allow = true)
  }

  if (!allow) {
    notification.info({ message: ERROR_MESSAGES.ACCESS_PAGE_DENIED })
    return <Navigate to={redirectPath ?? '/'} />
  }

  return <>{children}</>
}

export default memo(ProtectedRoute)
