import './_styles.less'
import { Avatar, Button, Header as HeaderMsb, MenuProps, Space, Typography } from 'antd-msb'
import { Link } from 'react-router-dom'

function Header() {
  const items: MenuProps['items'] = [
    {
      label: <Link to={'/demo1'}>Demo 1</Link>,
      key: 'demo1',
    },
    {
      label: <Link to={'/demo2'}>Demo 2</Link>,
      key: 'demo2',
    },
    {
      label: 'Navigation Two',
      key: 'app',
      children: [
        {
          label: 'Option 6',
          key: 'setting:15',
        },
        {
          label: 'Option 7',
          key: 'setting:8',
        },
      ],
    },
    {
      label: 'Navigation Three',
      key: 'SubMenu',
      children: [
        {
          type: 'group',
          label: 'Item 1',
          children: [
            {
              label: 'Option 1',
              key: 'setting:1',
            },
            {
              label: 'Option 2',
              key: 'setting:2',
            },
          ],
        },
        {
          type: 'group',
          label: 'Item 2',
          children: [
            {
              label: 'Option 3',
              key: 'setting:3',
            },
            {
              label: 'Option 4',
              key: 'setting:4',
            },
          ],
        },
        {
          label: 'Item 3 Item 3 Item 3 Item 3 Item 3 Item 3',
          key: 'abc',
          children: [
            {
              label: 'Option 4',
              key: 'setting:5',
            },
            {
              label: 'Option 5',
              key: 'setting:6',
            },
          ],
        },
      ],
    },
  ]

  const btnActions = (
    <>
      <Button type="primary">Primary Button</Button>
      <Button>Default Button</Button>
    </>
  )

  const avatars = (
    <Space>
      <Avatar size={40}>A</Avatar>
      <div>
        <Typography.Text block version={2} size="small">
          User name
        </Typography.Text>
        <Typography.Text block version={2} size="small">
          Demo@Email.com
        </Typography.Text>
      </div>
    </Space>
  )
  return (
    <div>
      <HeaderMsb
        className="demo-header"
        menuItems={items}
        btnActions={btnActions}
        avatar={avatars}
      />
    </div>
  )
}

export default Header
