import { ROLE_PERMISSION } from 'features/authentication/constants/rolePermission'
import demoRouters from 'features/demo/routes'
import { MainLayout } from 'layouts'
import { useRoutes } from 'react-router-dom'
import { CustomRouteObject } from 'types'
import { renderRoutes } from 'utils/routeUtil'

export const Routes = () => {
  const routersCustom: CustomRouteObject[] = [
    {
      path: '/',
      element: <MainLayout />,
      access: [ROLE_PERMISSION.ADMIN],
      children: [...demoRouters],
    },
  ]

  const routers = renderRoutes(routersCustom)
  return useRoutes(routers)
}
