import { createSlice } from '@reduxjs/toolkit'
import { LoadingState } from 'types/loading'

const DEFAULT_LOADING_STATE: LoadingState = {
  loadingCount: 0,
}

export const LOADING_STORE = 'loading'

const loadingStore = createSlice({
  name: LOADING_STORE,
  initialState: DEFAULT_LOADING_STATE,
  reducers: {
    showLoading: (state) => {
      state.loadingCount += 1
    },
    hideLoading: (state) => {
      if (state.loadingCount === 0) return

      state.loadingCount -= 1
    },
  },
})

const loadingActions = loadingStore.actions
const loadingReducer = loadingStore.reducer

export { loadingActions, loadingReducer }
